*{
    margin: 0;
    padding: 0;
  box-sizing: border-box;

}
a {
  text-decoration: none;
  color: inherit;
  line-height: normal;
}
a{
    display: block;
}
.a{
    line-height: 0;
}
:root {
    --main-white: #F5F9FC;
    --text-main: #1E283C;
    --taxt-acent-main: #17367A;
    --accent: #FF9500;
    --acent-bg: #FAB657;
    --blue-bg: #6BB5FF;
}
body {
    margin: 0;
    font-family: Arial, sans-serif;
    background:var(--main-white);
    color: var(--text-main);
}

.btn {
   transition: background-color 0.3s ease, color 0.3s ease;
}

button:hover,
.btn:hover {
    background-color: #66B2FF;
    color: var(--main-white);
}



.container {
    max-width: 1840px;
    margin: 0 auto;
    padding: 20px;
}

/* HEADER */
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #CFE1F9;    
    padding: 20px 20px;
    border-radius: 32px;
    gap: 20px;
}
.logo-wr{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: end;
}
.btn-main {
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    background: var(--accent);
    color: var(--main-white);
    padding: 20px 40px;
    border-radius: 16px;
    border: none;
    cursor: pointer;
    font-size: 32px;
}
.btn-header {
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    background: var(--accent);
    color: var(--main-white);
    padding: 15px 30px;
    border-radius: 16px;
    border: none;
    cursor: pointer;
    font-size: 32px;
}

/* HERO */
h1{
    font-size: 82px;   
    font-weight: 400;

}
.hero {
    background: url('./frame_2.webp') center/cover;
    border-radius: 32px;
    padding: 60px 30px;
    color: var(--main-white);
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 700px;
}
.hero-text p{
    font-size: 64px;
}
.timer {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.container-timer{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}
.time-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    background: rgba(0,0,0,0.6);
    padding: 30px;
    border-radius: 6px;
    min-width: 70px;
}

.time-box span {
    display: block;
    font-size: 72px;
}

/* секция2 */



.about {
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.about__title {
    text-align: center;
    font-size: 64px;
}

/* GRID */
.about__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

/* CARD */
.about__card {
    width: 100%;
    max-width: 900px;
    aspect-ratio: 900 / 400;
    padding: 20px;
    border-radius: 24px;
    background-size: cover;
    background-position: center;
    position: relative;
    overflow: hidden;
}

/* затемнение как в макете */
.about__card::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.3);
}

/* текст */
.about__card span {
    position: relative;
    z-index: 2;
    color: white;
    font-size: 20px;
    padding: 15px;
}

/* 🔹 АДАПТИВ */

/* планшет */
@media (max-width: 900px) {
    .about__grid {
        grid-template-columns: 1fr;
    }
}

/* мобилка — ВАЖНО: одна колонка */
@media (max-width: 600px) {
    

    .about__card {
        height: 200px;
    }

    .about__title {
        font-size: 20px;
    }
}
/* секция2 */




/* s3 */

.who{
    height: 1080px;
    padding: 40px 20px;
    
    background-image: url(./grafics.svg);
   background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    gap: 130px;
}
.who-wrapp{
    max-width: 1012px;
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 40px;
}
.who-title{
    align-items: center;
    display: flex;
    justify-content: space-between;
}

.who-title h2{
    font-size: 64px;
    font-weight: bold;
    color: var(--accent);
}
.who-title div{
    height: fit-content;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
padding: 14px 40px;
border-radius: 8px;
}
.who-cards{
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.who-card-duo{
    display: flex;
    gap: 40px;
}
.who-card{
    flex: 1;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    padding: 32px;
    display: flex;
    gap: 32px;
    align-items: center;
    border-radius: 24px;
}
.who-card img{
    max-width: 64px;
}
.who-card div {
    display: flex;
    flex-direction: column;
    gap: 12px;
} 

.who-card div span{
    color: var(--main-white);
} 
.who-card div p{
    color: var(--text-main);
} 

.who-card_blue{
    background-color: var(--blue-bg);
}
.who-card_orange{
    background-color: var(--acent-bg);
}
/* s3 */

/* s4 */
.btn-footer{
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    text-align: center;
    padding: 10px 25px;
    background-color: var(--accent);
    color: var(--main-white);
    border-radius: 16px;
    font-size: 24px;
}

footer{
    background: linear-gradient(180deg, #66b2ff 0%, #91c8ff 29.33%, rgba(255, 118, 33, 0.1) 100%);
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    justify-content: right;
    position: relative;
    color: var(--taxt-acent-main);
    padding-bottom: 0;
}

.footer-switch{
    display: flex;
    justify-content: end;
    max-width: 1840px;
    width: 100%;
    margin: 0 auto;
    padding: 0 40px;

}
.footer-switch div{
    padding: 10px 140px;
    color: var(--main-white);
}
.switch-btn-1{
    background-color: #E8A8A8;
    border-radius: 330px 99px 99px 8px;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);


}
.switch-btn-2{
    background-color: #FAB657;
    border-radius: 330px 99px 99px 0;
    box-shadow: -4px 2px 4px 0 rgba(0, 0, 0, 0.25);
    margin-left: -100px;
}
.switch-btn-3{
    background-color: #91C8FF;
    border-radius: 95px 27px 0 0;
    box-shadow: -4px 2px 4px 0 rgba(0, 0, 0, 0.25);
    margin-left: -100px;

}



.container-footer{
    width: 100%;
    padding: 40px 0 20px 0;

    background: rgba(245, 249, 252, 0.3);
    border: 5px solid #F5F9FC ;
    border-bottom: 0px;
    border-radius: 32px 32px 0 0;
}

.footer-info{
    display: flex;
    justify-content: space-between;
    padding: 0 40px;
}

.footer-title{
    max-width: 543px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.footer-title h3{
 font-size: 58px;
}

.footer-title p {
    font-size: 38px;

}
.icons-footer{
    margin-right: 180px;
    display: flex;
    position: relative;
}

.icon-left{
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);

    margin-right: -22px;
    rotate: calc(11deg);
    width: 100%;
    height: auto;
    max-width: 231px;
    max-height: fit-content;


}
.icon-center{
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    z-index: 99;
    max-width: 256px;
    max-height: fit-content;

}
.icon-right{
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    margin-left: -22px;
    max-width: 221px;
    max-height: fit-content;
    rotate: calc(-8deg);

}

.line {
    margin-top: 20px;
  border-top: 2px dashed var(--taxt-acent-main);
}

.agetation{
    padding: 20px 40px;
    display: flex;
    flex-direction: column;
    max-width: 683px;
    gap: 20px;
}
.agetation h3{
    font-size: 62px;
    color: var(--taxt-acent-main);
}
.agetation p{
    font-size: 32px;
}


.footer-contacts{
    margin: 0 40px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--main-white);
    padding: 20px 20px;
    border-radius: 24px;
    align-items: center;
}
.footer-contacts .column{
    display: flex;
    flex-direction: column;
}

.column .gap{
    display: flex;
    flex-direction: column;
    gap: 5px;

}

.logo-pm{
    width: 140px;
}
.logo-gif{
    width: 90px;
}
.flex{
gap: 20px;
}
.flex p {
    font-weight: bold;
}

.row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 40%;
    align-items: center;
}
.icon-social{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.icon-social img{
    width: 30px;
}
/* s4 */



/* слайды  */

/* скрытие слайдов */
.footer-info {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;

  opacity: 0;
  visibility: hidden;

  transition: 
    opacity 0.7s ease,
    transform 0.7s ease;
}


.footer-info.active {
  opacity: 1;
  visibility: visible;
  position: relative;
}

.container-footer {
  position: relative;
}


.footer-switch div {
  transition: 
    background-color 0.3s ease,
    color 0.3s ease,
    opacity 0.3s ease;
}


/* активная кнопка (по желанию) */
.footer-switch div.active {

    background-color: var(--main-white);
    color: var(--taxt-acent-main);
}

/* слайды  */

footer.year-2022 {
  background: linear-gradient(180deg, #66b2ff 0%, #ff91ce 29.33%, rgba(255, 33, 199, 0.1) 100%);
}

footer.year-2023 {
  background: linear-gradient(180deg, #FF7621 0%, #FAB657 40%, rgba(255,255,255,0.1) 100%);
}

footer.year-2024 {
      background: linear-gradient(180deg, #66b2ff 0%, #91c8ff 29.33%, rgba(255, 118, 33, 0.1) 100%);

}



@media (max-width: 1840px) {
.icons-footer{
    margin-right: 40px;
}
}

@media (max-width: 1400px) {

    .footer-info{
        align-items: center;
    }
    .footer-title{
        max-width: 420px;
    }
    .footer-title h3{
        font-size: 46px;
    }
    .footer-title p{
         font-size: 32px;
    }

    .icons-footer{
        transform: scale(0.8);
    }
}

@media (max-width: 1240px) {

.header{
    gap: 60px;
}
.logo-wr{
    justify-content: space-between;
}

/*  */
.hero{
    height: 560px;
    padding: 40px 20px;
}
h1{
    font-size: 64px;
}
.hero-text{
    font-size: 48px;
}
.time-box span {
    font-size: 54px;
}






.footer-info{
    flex-direction: column;
    gap: 20px;
}

.footer-title{
    max-width: 100%;
}
    .icons-footer{
        transform: scale(0.9);
        margin: 0;
    }

    .agetation{
        max-width: 100%;
    }
    .btn-footer{
        width: 100%;
    }
    

    .row{
        flex-direction: column;
        max-width: 100%;
        text-align: center;
        gap: 10px;

    }

}




@media (max-width: 860px) {

.header{
    flex-direction: column;
    gap: 15px;
    border-radius: 24px;
}
.btn-header{
    width: 100%;
    padding: 10px 20px;
}

/*  */
h1{
    font-size: 50px;
}
.hero{
    height: 440px;
}
 .hero-text p{
    font-size: 32px;
 }

 .time-box{
    padding: 20px;
    font-size: 24px;
 }

 .time-box span{
    font-size: 32px;
 }



 .footer-switch div{
    padding: 10px 100px;
    color: var(--main-white);

   
} 
.icons-footer{
        transform: scale(1);
    }

 
    .icon-left  {

        max-width: 160px;

    }
    .icon-center{
        max-width: 180px ;
    }
    .icon-right{

        max-width: 150px;

    }
}
@media (max-width: 640px) {

    
.footer-switch div{
    padding: 10px 70px;
}

.switch-btn-2{
    margin-left: -70px;
}
.switch-btn-3{
    margin-left: -70px;

}




.footer-contacts{
    flex-direction: column;
    gap: 15px;
}

.column{
    width:max-content ;
    gap: 10px;
}
.row{
    gap: 15px;
}
}


@media (max-width: 600px) {

    .header{
        padding: 15px;
        gap: 10px;
    }

    .icon-prom{
        width: 165px;
    }
    .icon-gif{
        width: 95px;
    }

.btn-header{
    font-size: 16px;
}

/*  */

.container{
    padding: 10px;
}
.hero{
    height: 340px;
}
h1{
    font-size: 32px;
}
 .hero-text p{
    font-size: 24px;
 }

 .time-box{
    padding: 10px;
    font-size: 18px;
 }

 .time-box span{
    font-size: 24px;
 }
 .btn-main{
    font-size: 16px;
    padding: 15px 30px;
 }
 .container-timer{
    gap: 20px;
 }



 /* footer */
 footer{
    padding: 20px 10px;
padding-bottom: 0px; 
}

 .footer-switch div{
    font-size: 12px;
    padding: 8px 40px;
 }
 .switch-btn-3{
    margin-left: -30px;
 }
  .switch-btn-2{
    margin-left: -30px;
 }
 
 .container-footer{
    padding-top: 40px;
 }

 .footer-title{
    gap: 10px;
 }
 .footer-title h3{
    font-size: 32px;
 }
 .footer-title p{
    font-size: 24px;

 }

 .icon-left{

    max-width: 100px;
 }
 .icon-center{

    max-width: 100px;
 }
 .icon-right{

    max-width: 100px;
 }


 .footer-info{
    padding: 0 10px;
 }

 .agetation{
    padding: 20px 10px;
    gap: 15px;
 }

 .agetation h3{
    font-size: 32px;
 }
 .agetation p{
    font-size: 24px;
 }
 .btn-footer{
     font-size: 16px;
 }

 .footer-contacts{
    margin: 0 10px;
 }
}






@media (max-width: 460px) {

    .time-box{
    min-width: 50px;
}

}

@media (max-width: 420px) {
    .header{
        padding: 10px;
        border-radius: 16px;
    }

.btn{
    border-radius: 12px;
}

    .container-footer{
        padding: 0;
        padding-top: 20px;
        padding-bottom: 10px;
        border: 2px solid var(--main-white);
        border-radius: 16px 16px 0 0;
    
    }
    .footer-contacts{
        border-radius: 16px;
    }
    

}
@media (max-width: 380px) {
    h1{
        font-size: 30px;
    }
}